Holger's Java API

## com.antelmann.util
Class GeneralWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.util.GeneralWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class GeneralWarning

extends RuntimeException
implements WarningOnly

Since:
  16.06.2014, 02:12:50
Author:
  holger
See Also:
  Serialized Form

Constructor Summary
`GeneralWarning()`
`GeneralWarning(String message)`
`GeneralWarning(String message, Throwable cause)`
`GeneralWarning(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralWarning

    public GeneralWarning()

### GeneralWarning

    public GeneralWarning(String message,
                          Throwable cause)

### GeneralWarning

    public GeneralWarning(String message)

### GeneralWarning

    public GeneralWarning(Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads